Qt API | Qtopia API | Qtopia Documentation |

# CategoryMenu Class Reference

The CategoryMenu widget aids in filtering records or files by Category. More...

`#include <qtopia/categorymenu.h>`

Inherits QPopupMenu.

List of all member functions.

## Public Members

- CategoryMenu ( const QString & application, bool globals, QWidget * parent = 0, const char * name = 0 )
- ~CategoryMenu ()
- bool isSelected ( const QArray<int> & cUids ) const
- void setCurrentCategory ( int newCatUid )
- void setCurrentCategoryAll ()
- void setCurrentCategoryUnfiled ()

## Public Slots

- void reload ()

## Signals

- void categoryChange ()

## Detailed Description

The CategoryMenu widget aids in filtering records or files by Category.

The CategoryMenu widget provides a popup menu that will make filtering records or files by category much easier. The widget will lookup the available categories for an application, populate the menu, and keep a track of which categories are being filtered against. A set of categories can be tested by the isSelected() function to see if a record or file containing those categories would be allowed through by the filter.

Warning: Currently this class is not suitable for extending.

See also Qtopia Classes.

## Member Function Documentation

### CategoryMenu::CategoryMenu ( const QString & application, bool globals, QWidget * parent = 0, const char * name = 0 )

Creates a new CategoryMenu with parent and name. The menu will be populated with the available categories for application.

If globals is TRUE then it will also poplulate the menu with the global categories.

### CategoryMenu::~CategoryMenu ()

Destroys a CategoryMenu.

### void CategoryMenu::categoryChange ()`[signal]`

This signal is emitted when the user selects a different category in the menu, hence changing what records or files should be selected.

### bool CategoryMenu::isSelected ( const QArray<int> & cUids ) const

Returns TRUE if a record or file with the set of category ids cUids is allowed by the current selection in the CategoryMenu. Otherwise returns FALSE.

### void CategoryMenu::reload ()`[slot]`

Repopulates the widget's list of available categories.

### void CategoryMenu::setCurrentCategory ( int newCatUid )

Sets the menu to have newCatUid as the currently selected Category.

### void CategoryMenu::setCurrentCategoryAll ()

Sets the menu to allow all category sets.

### void CategoryMenu::setCurrentCategoryUnfiled ()

Sets the menu to allow only empty category sets.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.